org.bouncycastle.asn1.cryptopro

## Class Gost2814789KeyWrapParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cryptopro.Gost2814789KeyWrapParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class Gost2814789KeyWrapParameters
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gost2814789KeyWrapParameters(ASN1ObjectIdentifier encryptionParamSet)`
    `Gost2814789KeyWrapParameters(ASN1ObjectIdentifier encryptionParamSet, byte[] ukm)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getEncryptionParamSet()`
    `static Gost2814789KeyWrapParameters` | `getInstance(java.lang.Object obj)`
    `byte[]` | `getUkm()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Gost2814789KeyWrapParameters

          public Gost2814789KeyWrapParameters(ASN1ObjectIdentifier encryptionParamSet)

    - #### Gost2814789KeyWrapParameters

          public Gost2814789KeyWrapParameters(ASN1ObjectIdentifier encryptionParamSet,
                                              byte[] ukm)

  - ### Method Detail

    - #### getInstance

          public static Gost2814789KeyWrapParameters getInstance(java.lang.Object obj)

    - #### getEncryptionParamSet

          public ASN1ObjectIdentifier getEncryptionParamSet()

    - #### getUkm

          public byte[] getUkm()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.